local Zifnabs_Config_Buttons = {}
_G.Zifnabs_Config_Buttons = Zifnabs_Config_Buttons

local config_frame=getglobal("Zifnabs_Configuration")
local my_name="Zifnabs_Configuration_Buttons"
local my_frame=getglobal(my_name)
local unsaved_changes=false
local numbuttons=12
local saving=false

getglobal(my_name.."_Save"):SetText(Zifnabs.LANG.Config_BUTTONS_SAVE)

Zifnabs_Config:register_module(Zifnabs.LANG.Config_BUTTONS_SELECT,Zifnabs_Config_Buttons)

-- ******************************************************************************************
-- * ON EVENT
-- ******************************************************************************************
function Zifnabs_Config_Buttons:check(widget)
	local id,name,part=Zifnabs:parse_name(widget)
	local value=widget:IsChecked()
	Zifnabs_Buttons:reload_settings()
	Zifnabs_Config_Buttons:enter()
end

function Zifnabs_Config_Buttons:button(widget)
	local id,name,part=Zifnabs:parse_name(widget)
	if id=="buttons_save" then Zifnabs_Config_Buttons:save() end
end

function Zifnabs_Config_Buttons:changes(widget)
	if not saving then
		unsaved_changes=true
		getglobal(my_name.."_Save"):Enable()
	end
end

-- ******************************************************************************************
-- * API Funktionen für Zifnabs_Config
-- ******************************************************************************************
function Zifnabs_Config_Buttons:enter()
	my_frame:Show()
	saving=true
	for b=1,numbuttons,1 do
		local button=Zifnabs_Settings.buttons[b]
		getglobal(my_name.."_"..b.."_Caption"):SetText(button.caption)
		getglobal(my_name.."_"..b.."_Command"):SetText(button.command)
	end
	saving=false
	if unsaved_changes==false then getglobal(my_name.."_Save"):Disable() else getglobal(my_name.."_Save"):Enable() end
end

function Zifnabs_Config_Buttons:leave()
	if unsaved_changes then Zifnabs_Config:save_ignore_abort("ASK")  
	else 
		my_frame:Hide()
		Zifnabs_Config:left_menu()
	end
end
function Zifnabs_Config_Buttons:save()
	saving=true
	for b=1,numbuttons,1 do
		local caption=getglobal(my_name.."_"..b.."_Caption"):GetText()
		local command=getglobal(my_name.."_"..b.."_Command"):GetText()
		Zifnabs_Settings.buttons[b]={caption=caption,command=command}
	end
	Zifnabs_Buttons:reload_settings()
	Zifnabs_Config_Buttons:enter()
	unsaved_changes=false
	saving=false
end
function Zifnabs_Config_Buttons:ignore() unsaved_changes=false end
function Zifnabs_Config_Buttons:disable() my_frame:Disable() end
function Zifnabs_Config_Buttons:enable() my_frame:Enable() end
